html,
body {
    height: 100%;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
}

.wrap > .container {
    padding: 70px 15px 20px;
}

.footer {
    height: 60px;
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    padding-top: 20px;
}

.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/*Custom styles*/
/*User administration list*/
div.user-info {
    width: 100%;
    display: inline-block;
}
div.user-detail {
    width: 80%;
    float: left;
    border: 2px solid #02164B;
    min-height: 60px;
    padding: 1em;
    vertical-align: middle;
    margin-top: 5%;
}
div.action-buttons {
    width: 20%;
    display: inline-block;
    text-align: center;
    vertical-align: middle;
    margin-top: 5%;
}
.btn-primary, .btn-danger {
    min-width: 150px;
    margin-top: 5%;
}
ul.list-user-info {
    list-style: none;
}
ul.list-user-info h2 {
    
}
/*End of user administration list*/
/*Book search and results list*/
div.book-info {
    width: 100%;
    display: inline-block;
}
div.book-detail {
    width: 80%;
    float: left;
    border: 2px solid #02164B;
    min-height: 60px;
    padding: 1em;
    vertical-align: middle;
    margin-top: 5%;
}
div.action-buttons {
    width: 20%;
    display: inline-block;
    text-align: center;
    vertical-align: middle;
    margin-top: 5%;
}
.btn-primary, .btn-danger {
    min-width: 100px;
    max-width: 200px;
    margin-top: 5%;
    margin-left: 5px;
    white-space: normal;
}
ul.list-book-info {
    list-style: none;
}
ul.list-book-info h2 {
    
}
/*End of book list*/
/*Transaction-messages*/
div.transaction-response {
    min-width: 200px;
    display: inline-block;
}
div.success-image {
    background-image: url('../images/success.png');
    background-size: 50px 50px;
    background-repeat: no-repeat;
    float: left;
    width: 60px;
    height: 60px;
    padding: 1.3em;
}
div.error-image {
    background-image: url('../images/error.png');
    background-size: 50px 50px;
    background-repeat: no-repeat;
    float: left;
    width: 60px;
    height: 60px;
    padding: 1.3em;
}
div.success {
    background-color: #A9F5D0;
    padding: 1.3em;
}
div.error {
    background-color: #F6CECE;
    padding: 1.3em;
}
div.error > h2 {
    color: #FE2E2E;
}
div.success > h2 {
    color: #088A4B;
}
.fix-image {
    max-width: 200px;
}
/*End of transaction messages*/
/*End of custom styles*/
